CentOS 7 Python 2.7 Upgrade Deprecation Message – End Of Life January 1st, 2020

Centmin Mod Tips

For CentOS 7 based Centmin Mod users, you may run into the Python 2.7 deprecation message when running CentOS 7 native Python 2.7 and that Python 2.7’s end of life is on January 1, 2020 and that you need to upgrade Python 2.7. You should not upgrade the CentOS 7 native Python 2.7 as that may break your system and YUM operation. Instead, you should install a newer Python version side by side.

Read moreCentOS 7 Python 2.7 Upgrade Deprecation Message – End Of Life January 1st, 2020